You are not logged in.

#5926 2013-11-27 19:03:25

h00pertr0n
Member
Registered: 2013-11-27
Posts: 2

Re: The AMD/ATI Bar & Grill

Hi, major Arch noob here.

I have run into problems installing catalyst on my Arch/Gnome installation (currently using the open source driver). I follow the installation/configuration procedures on the wiki, but gnome does not boot, instead I get "oh no something went wrong etc....".

I gather this could be because some of my packages are too up to date for catalyst to handle. Is this so and if so how do I check?

Thanks

Offline

#5927 2013-11-27 19:22:26

clfarron4
Member
From: London, UK
Registered: 2013-06-28
Posts: 2,162
Website

Re: The AMD/ATI Bar & Grill

h00pertr0n wrote:

Hi, major Arch noob here.

I have run into problems installing catalyst on my Arch/Gnome installation (currently using the open source driver). I follow the installation/configuration procedures on the wiki, but gnome does not boot, instead I get "oh no something went wrong etc....".

I gather this could be because some of my packages are too up to date for catalyst to handle. Is this so and if so how do I check?

Thanks

GNOME Shell doesn't work for me either with AMD Catalyst (it does on my Intel Graphics setup though). That said, I have no interest in getting GNOME Shell to work because I use Cinnamon (and a variant I like to call awesome-cinnamon).

Last edited by clfarron4 (2013-11-27 19:23:54)


Claire is fine.
Problems? I have dysgraphia, so clear and concise please.
My public GPG key for package signing
My x86_64 package repository

Offline

#5928 2013-11-27 19:30:40

Kuci
Member
Registered: 2013-03-29
Posts: 38
Website

Re: The AMD/ATI Bar & Grill

GNOME works with the latest AMD Catalyst for me. But I needed to generate new xorg.conf using:

$ aticonfig --adapter=all --initial

Notebook: ASUS U38DT + Samsung SSD 840 EVO 250GB + Intel Dual Band Wireless AC 7260

GitHub

Offline

#5929 2013-11-27 19:38:23

h00pertr0n
Member
Registered: 2013-11-27
Posts: 2

Re: The AMD/ATI Bar & Grill

Just tried again using the wiki instructions. All working fine now - either something got updated since yesterday or I didn't follow one of the steps properly before.

Offline

#5930 2013-11-27 19:52:21

lano1106
Member
From: Canada, Montreal
Registered: 2012-11-22
Posts: 80
Website

Re: The AMD/ATI Bar & Grill

ivdok wrote:
lano1106 wrote:

I can check how mplayer behaves with Xvba (if they still have Xvba support in recent mplayer releases...) but do not hold your breathe

Yes-yes, if it's not hard for you smile

Vi0L0 has been faster than me. mplayer turns out to be decoding fine by just ignoring the X error. I'll create a patch for libva-xvba-driver to emulate this behavior for every application using this driver.

Concerning the mplayer native Xvba support, the wiki page is not quite accurate. By reading the phoronix article pointed by the wiki page, you end up understanding that libXVBAW.so (What does the 'W' stands for? XvBA Wrapper?) expose the XvMC API and you can recompile mplayer to let it use the catalyst implementation of XvMC. If you ask me, this is not really pertinent today since XvMC helps MPEG2 decoding.

To be useful hw decoding should support H.264 and MPEG4.

Offline

#5931 2013-11-27 20:15:33

dfanz0r
Member
Registered: 2013-10-27
Posts: 16

Re: The AMD/ATI Bar & Grill

So i cannot seem to get my R9 290 to work.
xorg log: http://pastebin.com/uWKbqDYb

Has anyone actually gotten it to work. I am using Vi0L0's catalyst-test from the aur.
Everything works if i use one of my other radeon graphics cards.

Offline

#5932 2013-11-27 21:01:46

lano1106
Member
From: Canada, Montreal
Registered: 2012-11-22
Posts: 80
Website

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

xvba/vaapi is working fine with newest catalyst (13.11 beta 9.4) and xorg-server 1.13.4. I have used [xorg113] repo. Both cvlc and mplayer are working without an error here. Can someone confirm?

[xorg113]
Server = http://catalyst.wirephire.com/repo/xorg113/$arch

I'm typically downgrading 3 packages:
pacman -S xorg-server xorg-server-common xf86-input-evdev

Vi0L0, I have tested with Xserver 1.13.4. I have no more BadRequest error. Now I have a BadValue error :-)

I have added the traces at:

http://ati.cchtml.com/show_bug.cgi?id=950

Maybe the HW revision influence the result. I am doing my tests with a HD 7970.

Offline

#5933 2013-11-28 10:20:33

ivdok
Member
From: Nizhniy Novgorod (ru)
Registered: 2013-07-17
Posts: 56
Website

Re: The AMD/ATI Bar & Grill

lano1106 wrote:
ivdok wrote:
lano1106 wrote:

I can check how mplayer behaves with Xvba (if they still have Xvba support in recent mplayer releases...) but do not hold your breathe

Yes-yes, if it's not hard for you smile

Vi0L0 has been faster than me. mplayer turns out to be decoding fine by just ignoring the X error. I'll create a patch for libva-xvba-driver to emulate this behavior for every application using this driver.

Concerning the mplayer native Xvba support, the wiki page is not quite accurate. By reading the phoronix article pointed by the wiki page, you end up understanding that libXVBAW.so (What does the 'W' stands for? XvBA Wrapper?) expose the XvMC API and you can recompile mplayer to let it use the catalyst implementation of XvMC. If you ask me, this is not really pertinent today since XvMC helps MPEG2 decoding.

To be useful hw decoding should support H.264 and MPEG4.

lano1106 wrote:
Vi0L0 wrote:

xvba/vaapi is working fine with newest catalyst (13.11 beta 9.4) and xorg-server 1.13.4. I have used [xorg113] repo. Both cvlc and mplayer are working without an error here. Can someone confirm?

[xorg113]
Server = http://catalyst.wirephire.com/repo/xorg113/$arch

I'm typically downgrading 3 packages:
pacman -S xorg-server xorg-server-common xf86-input-evdev

Vi0L0, I have tested with Xserver 1.13.4. I have no more BadRequest error. Now I have a BadValue error :-)

I have added the traces at:

http://ati.cchtml.com/show_bug.cgi?id=950

Maybe the HW revision influence the result. I am doing my tests with a HD 7970.

Guys! I've found the culprit - oh, and the latest drivers + XvBA-VAAPI are working again smile
In the morning, when I was in the bus, i was reading my e-mail inbox, and have been reading AMD newsletter regarding your XvBA. In all your tickets I found that you have been using Xorg 1.13 all along. "But why not 1.14?", I thought. "Catalyst ≥ 13.6 supports 1.14! Wait. They have working XvBA-VAAPI. I have only with old Xorg and drivers. They use newer drivers. But not Xorg!" Later, approx. half a minute ago, I have rechecked my hyphotesis about old Xorg - and I have won! Seems what FreeDesktop guys like to break standarts that they implement themselves big_smile

Some useless logs from terminal:

[ivdok@localhost ~]$ Xorg -version
X.Org X Server 1.13.4
Release Date: 2013-04-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.8.10-1-ARCH i686
Current Operating System: Linux localhost 3.12.1-3-ARCH #1 SMP PREEMPT Tue Nov 26 11:40:55 CET 2013 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-linux root=UUID=691f4e0c-c7fc-40c5-bf00-e8ed2f0e4392 rw nomodeset quiet
Build Date: 28 April 2013  01:23:21PM

Current version of pixman: 0.32.4
    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
[ivdok@localhost ~]$ vainfo
libva info: VA-API version 0.34.0
libva info: va_getDriverName() returns 0
libva info: User requested driver 'xvba'
libva info: Trying to open /usr/lib/dri//xvba_drv_video.so
libva info: Found init function __vaDriverInit_0_32
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.34 (libva 1.2.1)
vainfo: Driver version: Splitted-Desktop Systems XvBA backend for VA-API - 0.7.8
vainfo: Supported profile and entrypoints
      VAProfileH264High               :    VAEntrypointVLD
      VAProfileVC1Advanced            :    VAEntrypointVLD
[ivdok@localhost ~]$ vlc
VLC media player 2.1.1 Rincewind (revision 2.1.0-207-g89c9520)
[0x8490568] pulse audio output error: PulseAudio server connection failure: Connection refused
[0x83fe910] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
[0xb120d430] vdpau generic error: device creation failure: error 1
libva info: VA-API version 0.34.0
libva info: va_getDriverName() returns 0
libva info: User requested driver 'xvba'
libva info: Trying to open /usr/lib/dri//xvba_drv_video.so
libva info: Found init function __vaDriverInit_0_32
No accelerated IMDCT transform found
libva info: va_openDriver() returns 0
xvba_video: XVBA_GetSurface(): status 2
[0x84d4e38] avcodec decoder: Using VA API version 0.34 for hardware decoding.
Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory
[0xb120d430] vdpau generic error: device creation failure: error 1
libva info: VA-API version 0.34.0
libva info: va_getDriverName() returns 0
libva info: User requested driver 'xvba'
libva info: Trying to open /usr/lib/dri//xvba_drv_video.so
libva info: Found init function __vaDriverInit_0_32
libva info: va_openDriver() returns 0
xvba_video: XVBA_GetSurface(): status 2
[0x84d4e38] avcodec decoder: Using VA API version 0.34 for hardware decoding.
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
Fontconfig warning: FcPattern object size does not accept value "0"
[0xa094be68] main vout display error: Failed to resize display

Last edited by ivdok (2013-11-28 10:33:59)


I use Arch Linux since 14/07/2013. Not that long, I agree, but I don't think what I will change it in near time - extensive wiki, obvious package manager and big, built-up community makes its job. I use Xfce4 as DE, Xfwm4 + Compton as WM, and for DM... "exec startxfce4" and "compton -b" inside .bash_profile big_smile
[ASUS P5QSE2, Pentium dual-core E5300, HD5770, 2GB RAM, 120G ext4 sda, 320G ntfs sdb]

Offline

#5934 2013-11-28 11:01:08

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

ivdok wrote:

In all your tickets I found that you have been using Xorg 1.13 all along.

Not at all. Both lano1106 and I was using xserver 1.14.4 from the very begining of this case.
Then I switched to xserver 1.13.4 and found out that it's working perfectly for me. As i wrote in bug report 950:

With catalyst 13.11 beta 9.4 + xorg-server 1.13.4 + xvba-driver 0.8.0
both cvlc and mplayer (with vaapi support) are working fine, giving no "X Error of failed request".

Switching to xorg-server 1.14.4 ends up in cvlc being completelly unable to start because of mentioned X Error, but mplayer is able to work with it. It's mentioning that there was a X error, but ignores it and decodes movie normally.

As you can see with xserver 1.14.4 and radeon hd 7850 mplayer is working fine for me (decodes well while ignoring the X Error), but lano1106 wasn't able to get such a positive result with hes hd 7970.
(just noted that i should be more specific and add that cvlc was able to start but not able to decode and draw)

ivdok wrote:

Later, approx. half a minute ago, I have rechecked my hyphotesis about old Xorg - and I have won! Seems what FreeDesktop guys like to break standarts that they implement themselves big_smile

Some useless logs from terminal:

[ivdok@localhost ~]$ Xorg -version
X.Org X Server 1.13.4
Release Date: 2013-04-17
X Protocol Version 11, Revision 0
...

So what's the conclusion? Logs are not showing decoding so it's hard to tell anything basing on them.

Last edited by Vi0L0 (2013-11-28 11:03:45)

Offline

#5935 2013-11-28 11:21:16

ivdok
Member
From: Nizhniy Novgorod (ru)
Registered: 2013-07-17
Posts: 56
Website

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

Not at all. Both lano1106 and I was using xserver 1.14.4 from the very begining of this case.
Then I switched to xserver 1.13.4 and found out that it's working perfectly for me.

Well, maybe I didn't look entirely everything at once.

Vi0L0 wrote:

As i wrote in bug report 950:

With catalyst 13.11 beta 9.4 + xorg-server 1.13.4 + xvba-driver 0.8.0
both cvlc and mplayer (with vaapi support) are working fine, giving no "X Error of failed request".

Switching to xorg-server 1.14.4 ends up in cvlc being completelly unable to start because of mentioned X Error, but mplayer is able to work with it. It's mentioning that there was a X error, but ignores it and decodes movie normally.

As you can see with xserver 1.14.4 and radeon hd 7850 mplayer is working fine for me (decodes well while ignoring the X Error), but lano1106 wasn't able to get such a positive result with hes hd 7970.

I understand now. 1.14 is not implemented properly and entirely - it's "beta" drivers, after all.

Vi0L0 wrote:

So what's the conclusion? Logs are not showing decoding so it's hard to tell anything basing on them.

It works all the same, as stable, in my opinion - only VLC segfaults on "Breaking Bad" for unknown reason, but I had this issue with stable driver too, and, besides, it's not a nuisance - it just crashes when trying to play next video, that's all. Manual startup from Thunar works as expected.


I use Arch Linux since 14/07/2013. Not that long, I agree, but I don't think what I will change it in near time - extensive wiki, obvious package manager and big, built-up community makes its job. I use Xfce4 as DE, Xfwm4 + Compton as WM, and for DM... "exec startxfce4" and "compton -b" inside .bash_profile big_smile
[ASUS P5QSE2, Pentium dual-core E5300, HD5770, 2GB RAM, 120G ext4 sda, 320G ntfs sdb]

Offline

#5936 2013-11-28 14:31:44

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

dfanz0r wrote:

So i cannot seem to get my R9 290 to work.
xorg log: http://pastebin.com/uWKbqDYb

Has anyone actually gotten it to work. I am using Vi0L0's catalyst-test from the aur.
Everything works if i use one of my other radeon graphics cards.

"<default monitor>" looks strange, especially when used two times with different screens. How many displays you got there? Can you paste xorg.conf?

Offline

#5937 2013-11-29 06:24:40

dfanz0r
Member
Registered: 2013-10-27
Posts: 16

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
dfanz0r wrote:

So i cannot seem to get my R9 290 to work.
xorg log: http://pastebin.com/uWKbqDYb

Has anyone actually gotten it to work. I am using Vi0L0's catalyst-test from the aur.
Everything works if i use one of my other radeon graphics cards.

"<default monitor>" looks strange, especially when used two times with different screens. How many displays you got there? Can you paste xorg.conf?

I had 4 plugged in at the time. Currently i am away (took the computer with me lol) and only have 1 plugged in.

Here a second log with only the one monitor connected: http://pastebin.com/mzNdXvJi
Here is the conf used when the above log was generated: http://pastebin.com/19M2z3S9

Offline

#5938 2013-11-30 10:28:51

gee
Member
Registered: 2006-11-29
Posts: 242

Re: The AMD/ATI Bar & Grill

Hey there,

I just built a 2nd machine and started using the fglrx.
I wanted to give a big thanks to Vi0L0 for this repos, they were so very helpful!
I am currently running with a 4670 but soon replacing it with a 79xx model, so for now legacy catalyst and app-stream 2.7.
Using these 2 simple open cl tests fail with kernel compilation failures, is there any known problem with the old catalyst and the old open cl sdk?
I should be getting the new card soon so don't want to waste too much time if it's related to the older software...
On the other hand if it's unrelated I'd rather fix it before smile

Offline

#5939 2013-11-30 11:42:24

Kuci
Member
Registered: 2013-03-29
Posts: 38
Website

Re: The AMD/ATI Bar & Grill

gee wrote:

Hey there,

I just built a 2nd machine and started using the fglrx.
I wanted to give a big thanks to Vi0L0 for this repos, they were so very helpful!
I am currently running with a 4670 but soon replacing it with a 79xx model, so for now legacy catalyst and app-stream 2.7.
Using these 2 simple open cl tests fail with kernel compilation failures, is there any known problem with the old catalyst and the old open cl sdk?
I should be getting the new card soon so don't want to waste too much time if it's related to the older software...
On the other hand if it's unrelated I'd rather fix it before smile

4XXX's architecture is not optimized for OpenCL, that's the reason why those cards are not supported anymore.


Notebook: ASUS U38DT + Samsung SSD 840 EVO 250GB + Intel Dual Band Wireless AC 7260

GitHub

Offline

#5940 2013-12-01 04:41:42

gee
Member
Registered: 2006-11-29
Posts: 242

Re: The AMD/ATI Bar & Grill

I actually found a command line that worked with cgminer... not very high hash rate though, but I just wanted to make it work.

(-w 64 was the trick)
Yet those cl tests still fail... strange, but maybe they use "advanced" functionalities that the 4XXX do not support or something....
Thanks!

Offline

#5941 2013-12-02 04:15:07

gee
Member
Registered: 2006-11-29
Posts: 242

Re: The AMD/ATI Bar & Grill

oh and yes, with a 7xxx card, no more error on the opencl tests, I guess that was it then...
Thanks!

Offline

#5942 2013-12-04 20:48:59

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

FYI Lately on Steam I bought Metro Last Light and it's working well here on hd 7850 and with catalyst 13.11 beta 9.4. When Metro LL was released there was an info that AMD is working on to support it properly, but I never saw a news telling it's fine now. Well... it's fine here ;P
I didn't play for a long time, but everything was rendered correctly and fps was also playable - around 40 to 60 fps on highest settings @ fullhd, so like on windows. I can see that tesselation is missing but AFAIK it's normal: http://www.overclock.net/t/1439965/metr … comparison

dfanz0r wrote:
Vi0L0 wrote:
dfanz0r wrote:

So i cannot seem to get my R9 290 to work.
xorg log: http://pastebin.com/uWKbqDYb

Has anyone actually gotten it to work. I am using Vi0L0's catalyst-test from the aur.
Everything works if i use one of my other radeon graphics cards.

"<default monitor>" looks strange, especially when used two times with different screens. How many displays you got there? Can you paste xorg.conf?

I had 4 plugged in at the time. Currently i am away (took the computer with me lol) and only have 1 plugged in.

Here a second log with only the one monitor connected: http://pastebin.com/mzNdXvJi
Here is the conf used when the above log was generated: http://pastebin.com/19M2z3S9

What if you will connect one display and then generated (fresh) xorg.conf with aticonfig?

Offline

#5943 2013-12-04 21:39:22

joaocandre
Member
Registered: 2013-02-23
Posts: 98

Re: The AMD/ATI Bar & Grill

So I installed catalyst drivers today, on an up to date Arch system, and suddenly Steam is showing an error when logging in:

Steam wrote:

OpenGL GLX context is not using direct rendering, which may cause performance problems.

For more information visit https://support.steampowered.com/kb_art … -EYZB-7457.

Anyone else having this problem? It was OK when I only had the open source drivers. I installed catalyst from VI0L0 repos, had to to install beta since I'm running Xorg 1.14.

According to [ glxinfo | grep "direct rendering" ] I am using direct rendering, so I don't know what Steam is complaining about.

Offline

#5944 2013-12-05 04:18:29

ivdok
Member
From: Nizhniy Novgorod (ru)
Registered: 2013-07-17
Posts: 56
Website

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

FYI Lately on Steam I bought Metro Last Light and it's working well here on hd 7850 and with catalyst 13.11 beta 9.4. When Metro LL was released there was an info that AMD is working on to support it properly, but I never saw a news telling it's fine now. Well... it's fine here ;P
I didn't play for a long time, but everything was rendered correctly and fps was also playable - around 40 to 60 fps on highest settings @ fullhd, so like on windows. I can see that tesselation is missing but AFAIK it's normal.

IDK. Running Assassin's Creed II on Wine was rather painful - GPU worked at likely 20% performance, severe lag and audio/script de-sync included. Nvidia reports show what Wine is working well for this particular game. So Linux is not yet gaming platform for everyday, IMO. SteamOS is no exception.


I use Arch Linux since 14/07/2013. Not that long, I agree, but I don't think what I will change it in near time - extensive wiki, obvious package manager and big, built-up community makes its job. I use Xfce4 as DE, Xfwm4 + Compton as WM, and for DM... "exec startxfce4" and "compton -b" inside .bash_profile big_smile
[ASUS P5QSE2, Pentium dual-core E5300, HD5770, 2GB RAM, 120G ext4 sda, 320G ntfs sdb]

Offline

#5945 2013-12-05 05:27:43

ChemBro
Member
Registered: 2008-10-22
Posts: 675

Re: The AMD/ATI Bar & Grill

ivdok wrote:
Vi0L0 wrote:

FYI Lately on Steam I bought Metro Last Light and it's working well here on hd 7850 and with catalyst 13.11 beta 9.4. When Metro LL was released there was an info that AMD is working on to support it properly, but I never saw a news telling it's fine now. Well... it's fine here ;P
I didn't play for a long time, but everything was rendered correctly and fps was also playable - around 40 to 60 fps on highest settings @ fullhd, so like on windows. I can see that tesselation is missing but AFAIK it's normal.

IDK. Running Assassin's Creed II on Wine was rather painful - GPU worked at likely 20% performance, severe lag and audio/script de-sync included. Nvidia reports show what Wine is working well for this particular game. So Linux is not yet gaming platform for everyday, IMO. SteamOS is no exception.

But you're talking about a game through Wine and we all know Wine uses these special Nvidia GL something to render the game (obviously AMD does not have those). Metro Last Light has a native Linux version, that is something different, especially for AMD cards.

Offline

#5946 2013-12-05 07:48:59

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Re: The AMD/ATI Bar & Grill

joaocandre wrote:

So I installed catalyst drivers today, on an up to date Arch system, and suddenly Steam is showing an error when logging in:

Steam wrote:

OpenGL GLX context is not using direct rendering, which may cause performance problems.

For more information visit https://support.steampowered.com/kb_art … -EYZB-7457.

Anyone else having this problem? It was OK when I only had the open source drivers. I installed catalyst from VI0L0 repos, had to to install beta since I'm running Xorg 1.14.

According to [ glxinfo | grep "direct rendering" ] I am using direct rendering, so I don't know what Steam is complaining about.

If you are using x86_64 system then have you installed lib32-catalyst-utils?

ChemBro wrote:
ivdok wrote:
Vi0L0 wrote:

FYI Lately on Steam I bought Metro Last Light and it's working well here on hd 7850 and with catalyst 13.11 beta 9.4. When Metro LL was released there was an info that AMD is working on to support it properly, but I never saw a news telling it's fine now. Well... it's fine here ;P
I didn't play for a long time, but everything was rendered correctly and fps was also playable - around 40 to 60 fps on highest settings @ fullhd, so like on windows. I can see that tesselation is missing but AFAIK it's normal.

IDK. Running Assassin's Creed II on Wine was rather painful - GPU worked at likely 20% performance, severe lag and audio/script de-sync included. Nvidia reports show what Wine is working well for this particular game. So Linux is not yet gaming platform for everyday, IMO. SteamOS is no exception.

But you're talking about a game through Wine and we all know Wine uses these special Nvidia GL something to render the game (obviously AMD does not have those). Metro Last Light has a native Linux version, that is something different, especially for AMD cards.

Also please remember that wine devs are working on nvidias cards, it's probably the reason why wine doesn't support radeons well.
Steam is using prepared by nvidia togl library which is "translating" directx to opengl, but it's designed to work on every (opengl) software and hardware capable system.

Offline

#5947 2013-12-05 11:54:42

joaocandre
Member
Registered: 2013-02-23
Posts: 98

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

If you are using x86_64 system then have you installed lib32-catalyst-utils?

Yup, that solved. I somehow missed that line on the wiki. Thanks!

Offline

#5948 2013-12-05 14:18:53

haagch
Member
Registered: 2013-08-17
Posts: 206

Re: The AMD/ATI Bar & Grill

ChemBro wrote:

But you're talking about a game through Wine and we all know Wine uses these special Nvidia GL something to render the game (obviously AMD does not have those).

I don't buy that. Try the open source driver. It's often much better than catalyst in wine.

Offline

#5949 2013-12-05 17:25:30

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 672

Re: The AMD/ATI Bar & Grill

I'm beginning to toy with OpenCL. My development laptop has a Mobility Radeon HD3470 (with catalyst-legacy) which is not OpenCL capable, but for my early experiments I'm fine with using the CPU (Intel P8400) as OpenCL device. I've installed APP-SDK 2.9 and opencl-headers, and now I'm trying to compile a simple example taken from the book "OpenCL programming guide". The compilation has no problem, but when I launch it it gives a segfault on the first OpenCL instruction it tries to execute:

errNum = clGetPlatformIDs(0, NULL, &numPlatforms);

I don't know what might cause this problem. Maybe APP-SDK 2.9 is not compatible with Catalyst 13.1 (the current legacy)? If so, is there a version (and possibly a PKGBUILD smile ) of APP-SDK that works with the legacy driver?

Offline

#5950 2013-12-05 17:48:54

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,301
Website

Offline

Board footer

Powered by FluxBB